import request from '@/utils/request'

// 查询故障案例信息列表
export function listFaultCase(query) {
  return request({
    url: '/manage/faultCase/list',
    method: 'get',
    params: query
  })
}

// 查询故障案例信息详细
export function getFaultCase(id) {
  return request({
    url: '/manage/faultCase/' + id,
    method: 'get'
  })
}

// 新增故障案例信息
export function addFaultCase(data) {
  return request({
    url: '/manage/faultCase',
    method: 'post',
    data: data
  })
}

// 修改故障案例信息
export function updateFaultCase(data) {
  return request({
    url: '/manage/faultCase',
    method: 'put',
    data: data
  })
}

// 删除故障案例信息
export function delFaultCase(id) {
  return request({
    url: '/manage/faultCase/' + id,
    method: 'delete'
  })
}
